Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.maven
Interface MavenDeployer

    org.gradle.api.artifacts.maven.MavenDeployer
      org.apache.ivy.plugins.resolver.DependencyResolver
          org.gradle.api.artifacts.maven.MavenResolver

All Superinterfaces:
  DependencyResolver, MavenResolver

    interface MavenDeployer
    extends MavenResolver

A resolver that can only be used for uploading artifacts to a Maven repository. If you use this resolver for getting dependencies from a Maven repository, an exception is thrown. This resolver support all aspects of Maven deployment, including snapshot deployment and metadata.xml manipulation.

You have to specify at least one repository. Otherwise, if there is only one artifact, usually there is not more to do. If there is more than one artifact you have to decide what to do about this, as a Maven pom can only deal with one artifact. There are two strategies. If you want to deploy only one artifact you have to specify a filter to select this artifact. If you want to deploy more than one artifact, you have to specify filters which select each artifact. Associated with each filter is a separate configurable pom.

You can create an instance of this type via the org.gradle.api.tasks.Upload#getRepositories() container

author:
  Hans Dockter

Method Summary
`void` | `addProtocolProviderJars(Collection jars)` Out of the box only uploading to the filesysten and via http is supported.
`RemoteRepository` | `getRepository()` Returns the repository o be used for uploading artifacts.
`RemoteRepository` | `getSnapshotRepository()` Returns the repository o be used for uploading snapshot artifacts.
`boolean` | `isUniqueVersion()` Returns whether to assign snapshots a unique version comprised of the timestamp and build number, or to use the same version each time.
`void` | `setRepository(RemoteRepository repository)` Sets the repository to be used for uploading artifacts.
`void` | `setSnapshotRepository(RemoteRepository snapshotRepository)` Sets the repository to be used for uploading snapshot artifacts.
`void` | `setUniqueVersion(boolean uniqueVersion)` Sets whether to assign snapshots a unique version comprised of the timestamp and build number, or to use the same version each time.

Methods inherited from interface MavenResolver
getSettings

Method Detail

### addProtocolProviderJars

    public void addProtocolProviderJars(Collection jars)

  Out of the box only uploading to the filesysten and via http is supported. If other protocolls should be used, the appropriate Maven wagon jars have to be passed via this method.
  param:
    jars

### getRepository

    public RemoteRepository getRepository()

  Returns the repository o be used for uploading artifacts.
  see:
    #setRepository(org.apache.maven.artifact.ant.RemoteRepository)

### getSnapshotRepository

    public RemoteRepository getSnapshotRepository()

  Returns the repository o be used for uploading snapshot artifacts.
  see:
    #setSnapshotRepository(org.apache.maven.artifact.ant.RemoteRepository)

### isUniqueVersion

    public boolean isUniqueVersion()

  Returns whether to assign snapshots a unique version comprised of the timestamp and build number, or to use the same version each time. Defaults to true.

### setRepository

    public void setRepository(RemoteRepository repository)

  Sets the repository to be used for uploading artifacts. If #getRepository() is not set, this repository is also used for uploading snapshot artifacts.
  param:
    repository The repository to be used

### setSnapshotRepository

    public void setSnapshotRepository(RemoteRepository snapshotRepository)

  Sets the repository to be used for uploading snapshot artifacts. If this is not set, the #getRepository() is used for uploading snapshot artifacts.
  param:
    snapshotRepository The repository to be used

### setUniqueVersion

    public void setUniqueVersion(boolean uniqueVersion)

  Sets whether to assign snapshots a unique version comprised of the timestamp and build number, or to use the same version each time. Defaults to true.

Groovy Documentation